Description

If dialog "Failed to start application" occures it should close ide debuger interface.

P.S.

Quite annoying ;)

History

#1 - 04/11/2015 09:49 PM - Zbigniew Rebacz

- File GdbMI2Fix.diff added

It seems that it is Gdb_MI2 related problem. The solution is relatively easy:

    if(!started)

    {

        Exclamation(t_("Failed to start application"));

        IdeEndDebug(); // <- Add this, to prevent 

        return;

    }

Official patch, without comment is in diff form.

#2 - 04/11/2015 09:51 PM - Zbigniew Rebacz

- Status changed from New to Patch ready

#3 - 04/12/2015 01:03 PM - Zbigniew Rebacz

It seems I missed some information. First of all is file information (ide/Debuggers - Gdb_MI2.cpp - line 141).  And of course comment isn't completed in my

last post:

    if(!started)

    {

        Exclamation(t_("Failed to start application"));

        IdeEndDebug(); // <- Closed all debug panes.

        return;

    }
#4 - 04/30/2015 04:01 PM - Miroslav Fidler

- Status changed from Patch ready to Approved

Files

GdbMI2Fix.diff 331 Bytes 04/11/2015 Zbigniew Rebacz
